aboutsummaryrefslogtreecommitdiffstats
path: root/test/config.sh
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2016-10-18 15:54:43 +0200
committerAnders Broman <a.broman58@gmail.com>2016-10-19 10:07:13 +0000
commit59c370440423131e3ef460ca3b8f1f55ca319926 (patch)
treecdb19863feefb775c68c3448f06e717bbd96f637 /test/config.sh
parenta0e1d282f2d8c87b985a8896a5418dda2894f48c (diff)
Add a Kerberos decryption test.
Test Kerberos decryption using files from krb-816.zip on the SampleCaptures page. Change-Id: Ic1360b637ca6a1f6cb86d09a6aebfd7f5ff89419 Reviewed-on: https://code.wireshark.org/review/18275 Reviewed-by: Gerald Combs <gerald@wireshark.org> Petri-Dish: Gerald Combs <gerald@wireshark.org> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'test/config.sh')
-rwxr-xr-xtest/config.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/test/config.sh b/test/config.sh
index 36ed52ffad..7a59ecdeec 100755
--- a/test/config.sh
+++ b/test/config.sh
@@ -111,10 +111,15 @@ CAPTURE_DIR="$TESTS_DIR/captures/"
$TSHARK -v | grep -q "with Lua"
HAVE_LUA=$?
-# Check whether we need to skip a certain decryption test.
+# Check whether we need to skip the HTTP2/HPACK decryption test.
$TSHARK -v | tr '\n' ' '| grep -q "with nghttp2"
HAVE_NGHTTP2=$?
+# Check whether we need to skip a certain decryption test.
+# XXX What do we print for Nettle?
+$TSHARK -v | tr '\n' ' '| egrep -q "with MIT Kerberos|with Heimdal Kerberos"
+HAVE_KERBEROS=$?
+
HAVE_ICONV="False"
hash iconv 2>/dev/null && HAVE_ICONV="True"